import java.awt.*;
import java.awt.event.*;

public class Rahmen extends Frame {
  // Rahmen fr Darstellung der Grafik

  private void erstelleRahmen (String text) {
    setTitle(text);
    setSize(200, 200);
    setLocation(50, 50);
    setVisible(true);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e)
      {System.exit(0);}});
    } // Ende erstelleRahmen

  public Rahmen (int e1, int e2, int m, int s) {
    erstelleRahmen("Modulare Muster");
    add("Center", new Zeichnung(e1, e2, m, s));
    show();
    } // Ende Konstruktor

  } // Ende Rahmen

class Zeichnung extends Canvas {
  // zeichnet modulare Muster

  private int ex, ey, m, s;
  private int xsMax, ysMax;

  public Zeichnung (int e1, int e2, int m, int s)
    {ex = e1; ey = e2; this.m = m; this.s = s;}
   
  private void Skalierung() {
    xsMax = getSize().width - 1; 
    ysMax = getSize().height - 1;
    } // Ende Skalierung

  int funktion (int x, int y) {
    long u = 1, v = 1;
    for (int i = 0; i < ex; i++)
      u = (u % m) * x;
    for (int j = 0; j < ey; j++)
      v = (v % m) * y;
    return (int) (u * v) % m;
    } // Ende Funktion
  
  public void paint (Graphics g) {
    Skalierung();
    for (int xs = 10; xs < xsMax - 10; xs++)
      for (int ys = 10; ys < ysMax - 10; ys++) {
        int wert = funktion(xs, ys);
        if (wert < s) g.fillRect(xs, ys, 1, 1);
        } // Ende for
    } // Ende paint

  } // Ende Zeichnung
