import java.io.*;

public class TeppichTF {

  static int        anzahl;
  static int        maxUmfang = 400;
  static Rechteck[] rListe = null;

  private static void Eingabe() {
    InputStreamReader lies = new InputStreamReader(System.in);
    BufferedReader    eing = new BufferedReader(lies);

    System.out.println("\n  Flickenteppich");
    System.out.println("  --------------\n");
    try {
      System.out.print("  Wie viele Flicken? ");
      anzahl = Integer.parseInt(eing.readLine());
      } // Ende try
    catch(IOException e) {}
    } // Ende Eingabe
  
  private static void Rechteckerzeugung() {
    // fllt Liste mit Zufallsrechtecken
    rListe = new Rechteck[anzahl];
    for (int i = 0; i < anzahl; i++) {
      int maxLnge = maxUmfang / 2;
      int a = (int) (maxLnge * Math.random());
      int maxBreite = (maxUmfang - 2 * a) / 2;
      int b = (int) (maxBreite * Math.random());
      rListe[i] = new Rechteck(a, b);
      } // Ende for
    } // Ende Rechteckerzeugung
  
  private static void Ausgabe() {
    System.out.println();
    for (int i = 0; i < anzahl; i++)
      System.out.println(rListe[i].Beschreibung());
    } // Ende Ausgabe

  public static void main (String[] xy) {
    Eingabe();
    Rechteckerzeugung();
    Ausgabe();
    new Rahmen("Sigrids Flickenteppich", rListe);
    } // Ende main

  } // Ende TeppichTF

