import java.awt.*;
import java.awt.event.*;

public class Rahmen extends Frame {
  // Rahmen zur Darstellung der Grafik

  private void erstelleRahmen (String text) {
    setTitle(text);
    setSize(200, 200);
    setLocation(50, 50);
    setBackground(new Color(210, 230, 250));
    setVisible(true);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e)
      {System.exit(0);}});
    } // Ende erstelleRahmen

  public Rahmen (String text) {
    erstelleRahmen(text);
    add("Center", new Zeichnung());
    show();
    } // Ende Konstruktor

  } // Ende Rahmen

class Zeichnung extends Canvas {
  // zeichnet Firmenemblem

  public void paint (Graphics g) {
    int x0 = 20, y0 = 30;
    int R = 100;
    g.drawOval(x0, y0, R, R);

    int r = R/2;
    int x1 = x0 + (R - r) / 2;
    int y1 = y0;
    g.drawOval(x1, y1, r, r);
    g.setColor(Color.lightGray);
    g.fillOval(x1 + 1, y1 + 1, r - 1, r - 1);

    g.setColor(Color.black);
    int[] abszissen = {x0,     x0 + R, x0 + r};
    int[] ordinaten = {y0 + r, y0 + r, y0 + R};
    g.drawPolygon(abszissen, ordinaten, 3);
    g.setColor(Color.lightGray);
    g.fillPolygon(abszissen, ordinaten, 3);
    } // Ende paint

  } // Ende Zeichnung

