import java.awt.*;
import java.awt.event.*;

public class Rahmen extends Frame {
  // Grafikrahmen zur Visualisierung

  private void erstelleRahmen (String text) {
    setTitle(text);
    setSize(300, 300);
    setLocation(50, 50);
    setVisible(true);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e)
      {System.exit(0);}});
    } // Ende erstelleRahmen

  public Rahmen (String text, Rechteck[] Liste) {
    erstelleRahmen(text);
    add("Center", new Zeichnung(Liste));
    show();
    } // Ende Konstruktor

  } // Ende Rahmen

class Zeichnung extends Canvas {

  int xMax, yMax;

  Rechteck[] flickenliste;

  public Zeichnung (Rechteck[] f)
    {flickenliste = f;}

  private void skaliere() {
    xMax = getSize().width - 1;
    yMax = getSize().height - 1;
    } // Ende skaliere

  private void zeigeFlickenliste (Graphics g) {
    for (int i = 0; i < flickenliste.length; i++) {
      Rechteck flicken = flickenliste[i];
      int xPos = (int) (xMax * Math.random());
      int yPos = (int) (yMax * Math.random());
      g.setColor(new Color(flicken.Rot(), 
                           flicken.Grn(),
                           flicken.Blau()));
      g.fillRect(xPos, yPos, flicken.Lnge(), 
                             flicken.Breite());
      } // Ende for
    } // Ende zeige

  public void paint (Graphics g) {
    skaliere();
    zeigeFlickenliste(g);
    } // Ende paint

  } // Ende Zeichnung

